Subject: RE: bug#13061: 24.3.50; regressions: 1) Redefining a function should cancel `debug-on-entry',2) doc

From: "Drew Adams" <[email-masked]>
Date: Sat, 8 Dec 2012 20:31:14 -0800

1. I really hope this regression gets fixed soon.  It's quite annoying that
redefining a function does not cancel `debug-on-entry' for it.

2. Wrt the recent abuse by Emacs Dev of the term "Warning": Think about the
terms they use for hurricanes and such, situations which are FAR more serious
than what Emacs has to deal with:

a. The first level of making people aware is called an "Advisory".

b. "Warning" is used only for a much higher level involving imminent danger.

The equivalent of "advisory" wrt documentation is generally "Note", "Notice", or
"Attention".  You are just drawing attention to a statement, without a
connotation of danger.

Emacs doc should stop being so alarmist, generally.  And in the case of this
bug, it is downright perverted to "warn" about a positive feature.